API referenceModels
Get Model Catalog
The models.dev models the registered model provider types serve, for any signed-in principal.
GET
/api/v1/model-catalogThe models.dev models the registered model provider types serve, for any signed-in principal.
AuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/model-catalog"{ "items": [ { "characteristics": { "capabilities": [ "string" ], "compact_threshold": 0.9, "context_window_tokens": 1, "proactive_context_management_threshold": 0.65 }, "identity": "string", "name": "string", "pricing": { "context_window": 1, "model": "string", "provider": "string", "rules": [ { "constraint": { "end_time": "14:15:22Z", "kind": "always", "start_date": "2019-08-24", "start_time": "14:15:22Z", "weekdays": [] }, "max_input_tokens": 1, "prices": [ { "price": "string", "price_key": "string", "tiers": [] } ], "rule_id": "string", "service_tier": "string" } ], "source": "string", "source_revision": "string", "source_url": "http://example.com" }, "pricing_warning": "string", "provider_name": "string", "ref": { "model": "string", "provider": "string" }, "release_date": "2019-08-24" } ], "status": "ready"}